%define uname	wxHexEditor

Name:		wxhexeditor
Version:	0.24
Summary:	A hex editor that supports files up to 2^64 bytes
%define subrel  3
Release:	%mkrel 9
Group:		Editors
License:	GPLv2
Url:		http://www.wxhexeditor.org/
Source0:	https://github.com/EUA/%{uname}/archive/v%{version}/%{uname}-%{version}.tar.gz
Patch0:		wxhexeditor-0.24-mga-fix_arm_build2.patch
Patch1:		0001-Fix-build-with-wxgtk-3.1.2.patch
Patch2:		0001-Disable-update-check.patch
Patch3:		0001-Fix-possible-empty-language-selection-in-preferences.patch
BuildRequires:	wxgtk-devel
BuildRequires:	libgomp-devel

%description
A hex editor that supports files up to 2^64 bytes

 Features
 Ability to work with files up to 2EB (ExaByte)
 Multi OS, Cross-Compileable
 Small footprint on RAM
 Raw Disk Access (on POSIX systems)
 Does not create temporary files!

%prep
%setup -q -n %{uname}-%{version}
%autopatch -p1

%build
mkdir -p udis86/build/m4

pushd udis86
  autoreconf -fi
  %configure2_5x
  %make_build
  %make_build -C libudis86
popd

pushd mhash
  autoreconf -fi
  %configure2_5x
  %make_build
popd

%make_build

%install
%make_install

desktop-file-install \
	--remove-key="Encoding" \
	--remove-key="Keywords" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{uname}.desktop

%find_lang %{uname}

%files -f %{uname}.lang
%doc docs/*
%{_bindir}/%{uname}
%{_datadir}/applications/%{uname}.desktop
%{_datadir}/pixmaps/%{uname}.png


%changelog
* Wed Jan 12 2022 wally <wally> 0.24-9.3.mga8
+ Revision: 1768170
- add patch to fix possible empty language selection in preferences (mga#29869)

* Wed Jan 12 2022 wally <wally> 0.24-9.2.mga8
+ Revision: 1768112
- add patch to disable upstream version check (mga#29869)

* Wed Jan 05 2022 wally <wally> 0.24-9.1.mga8
+ Revision: 1767007
- rebuild for wxgtk 3.1.5 (mga#29848)

* Fri Jan 01 2021 wally <wally> 0.24-9.mga8
+ Revision: 1667734
- rebuild for wxgtk pre 3.1.5 snapshot

* Sun Aug 16 2020 wally <wally> 0.24-8.mga8
+ Revision: 1614375
- rebuild for new wxgtk 3.1.4

* Tue Feb 18 2020 umeabot <umeabot> 0.24-7.mga8
+ Revision: 1538034
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 0.24-6.mga8
+ Revision: 1459496
- rebuild for wxgtk 3.1.3

* Sun Jul 14 2019 wally <wally> 0.24-5.mga8
+ Revision: 1421092
- add patch to build with new gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 0.24-4.mga7
+ Revision: 1301726
- Mageia 7 Mass Rebuild

* Thu Jan 04 2018 barjac <barjac> 0.24-3.mga7
+ Revision: 1190058
- test alternative patch for upstream

* Wed Jan 03 2018 barjac <barjac> 0.24-2.mga7
+ Revision: 1189918
- patch to (hopefully) fix ARM build

* Tue Jan 02 2018 barjac <barjac> 0.24-1.mga7
+ Revision: 1189501
- change to gtk3
- new version 0.24
- removed patches not required
- fix .desktop

* Sat Sep 23 2017 cjw <cjw> 0.23-3.mga7
+ Revision: 1158178
- use our configure macro in build
- fix build with gcc 7

* Wed Feb 17 2016 umeabot <umeabot> 0.23-2.mga6
+ Revision: 963295
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 daviddavid <daviddavid> 0.23-1.mga6
+ Revision: 864963
- new version: 0.23
- rename and rediff Patch0 for 0.23 version
- remove merged upstream Patch1
- update file list

* Sat Aug 15 2015 ycantin <ycantin> 0.22-7.mga6
+ Revision: 864935
- rebuild for new wxgtk built with wxRE_ADVANCED
- fix wxgtk version br : wxgtk2.8-devel

* Thu Jul 23 2015 akien <akien> 0.22-6.mga6
+ Revision: 856374
- Rebuild for wxgtk with gtk3

* Wed Oct 15 2014 umeabot <umeabot> 0.22-5.mga5
+ Revision: 748207
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.22-4.mga5
+ Revision: 730730
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.22-3.mga5
+ Revision: 690384
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 danf <danf> 0.22-2.mga5
+ Revision: 675059
- Fixed build by linking with aui lib

* Sun Dec 08 2013 barjac <barjac> 0.22-1.mga4
+ Revision: 555833
- imported package wxhexeditor

